> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-pluginbase-getfilesreferencedby.md).

# flatredball-glue-pluginbase-getfilesreferencedby

### Introduction

The GetFilesReferencedBy delegate is a delegate which can be used to provide custom file reference logic. Custom file reference logic is useful if you are working with files which are not natively supported by Glue. Glue natively supports a number of files like .scnx, .achx, and .emix. If you are working with a file format which references other files, you can create a plugin which handles the GetFilesReferencedBy delegate.

### Delegate Type

The delegate is defined as:

```
Action<string, EditorObjects.Parsing.TopLevelOrRecursive, List<string>>
```

Lets look at the three parameters:

* string (first parameter) - this is the absolute file name which the plugin should handle. Usually plugins handle only a specific file format, so you may need to first look at the extension of the first argument to see if you should even handle it.
* EditorObjects.Parsing.TopLevelOrRecursive - Whether the search should be top-level or recursive. If your file format references files which may reference other files, and if a recursive check is called for, you should perform deep reference gathering.
* List\<string> - The list to fill. If your plugin does not handle the file which has been passed in, then you do not need to make any changes to this list. You should not clear the list as multiple plugins may handle a single file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-pluginbase-getfilesreferencedby.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
